import React, { PropsWithChildren } from 'react';
import { NsTypographyProps } from './types';
import { StyledTypography } from './Typography.styled';

const NsTypography = ({
    children,
    fontStyle = 'normal',
    weight = 'normal',
    className = '',
    variant = 'p-l',
    decoration = 'none',
    color = 'primary',
    additionalProps = {},
}: PropsWithChildren<NsTypographyProps>) => {
    return (
        <StyledTypography
            fontStyle={fontStyle}
            className={className}
            weight={weight}
            variant={variant}
            decoration={decoration}
            color={color}
            {...additionalProps}
        >
            {children}
        </StyledTypography>
    );
};

export default NsTypography;
